#' ECLS data from Fryer and Levitt (2013)
#'
#' This dataset contains a subset of the publicly available Early Childhood
#' Longitudinal Study Birth Cohort data from Fryer and Levitt (2013).
#' @format A data frame with 8806 rows corresponding to children and
#'     21 columns corresponding to the variables:
#'
#' \describe{
#'
#' \item{W1C0}{Sampling weights (first interview)}
#'
#' \item{W2C0}{Sampling weights (second interview)}
#'
#' \item{multiple_birth}{Multiple birth status}
#'
#' \item{parent_score}{Interviewer rating of the effectiveness of the `parent as
#' a teacher', Nursing Child Assessment Teaching Scale (total score).}
#'
#' \item{SES_quintile}{Quintile of socioeconomic status}
#'
#' \item{region}{US region}
#'
#' \item{interviewer_ID_9}{Interviewer ID (first interview)}
#'
#' \item{interviewer_ID_24}{Interviewer ID (second interview)}
#'
#' \item{mom_age}{Age of mother}
#'
#' \item{days_premature}{Days premature}
#'
#' \item{siblings}{Number of siblings}
#'
#' \item{family_structure}{Family structure}
#'
#' \item{birthweight}{Birthweight category}
#'
#' \item{female}{Female}
#'
#' \item{mom_age_NA}{Age of mother missing}
#'
#' \item{age_9}{Age at first interview}
#'
#' \item{age_24}{Age at second interview}
#'
#' \item{std_iq_9}{Standardized IQ at first interview}
#'
#' \item{std_iq_24}{Standardized IQ at second interview}
#'
#' \item{parent_score_NA}{\code{parent_score} missing}
#'
#' \item{race}{Race}
#'
#' }
#' @source \doi{10.3886/E112609V1}

#' @references{
#'
#' \cite{Roland G Fryer and Steven D Levitt. Testing for racial differences in
#' the mental ability of young children. American Economic Review,
#' 103(2):981–1005, April 2013. \doi{10.1093/qje/qjy006}}
#'
#' }
"fl"
